<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">MaterialBucket</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::StaticGeometry::MaterialBucket Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ad013710ae1cc19fe26a30c23cfd0eb37">addRenderables</a>(RenderQueue *queue, uint8 group, Real lodValue)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a73c3eb66a47f97224dcbeb48dc9bb6c5">assign</a>(QueuedGeometry *qsm)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#aa3a817dab145e00ab3c07f1f62556f33">build</a>(bool stencilShadows)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a5c32bc9f532f1e2b98bf87add45c0c42">CurrentGeometryMap</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a823eca275c2d617cc5736a117bf048a0">dump</a>(std::ofstream &amp;of) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abacbea05442639e1dc5e4962a559f234">GeometryBucketList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ab2f7c7785a86b2bf05998b96b73c5952">GeometryIterator</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#aa64dfa9bd9617249def12e684dde9caa">getCurrentTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ac26fb3711b115766aae0a1d2b123627d">getGeometryFormatString</a>(SubMeshLodGeometryLink *geom)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#afbacbd597b172a0a3fbb59223cebc134">getGeometryIterator</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#aa338a96b9145a0c01e33da7e4728111c">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a5d5aba36b489789f297a57087f223d85">getMaterialName</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ab454a749c2ba7bae4002c70ed5afa626">getParent</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ae4abb9d4a5a88ff4cb1fb0f4b1fcac88">MaterialBucket</a>(LODBucket *parent, const String &amp;materialName)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a912c4811ed0139c062c652379bb1a934">mCurrentGeometryMap</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a98201e87d7d58a688a522c76864a19fa">mGeometryBucketList</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a98238b3d99e1b247a587ae1fba6ab733">mMaterial</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ad9732afaff3edb7e770816e80843e772">mMaterialName</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a7c1560c621c28c3dedde95a6478f603f">mParent</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a3622d108622b55d5da61c1db57f9b0e8">mTechnique</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abc4a538317300484ec970d2ff6482a7a">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ad0fed93d61daf061b73952e81d1143ff">~MaterialBucket</a>()</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
